namespace CMSMicroservice.Application.ProductGalleriesCQ.Commands.DeleteProductGalleries;
public class DeleteProductGallerysCommandValidator : AbstractValidator<DeleteProductGalleriesCommand>
{
    public DeleteProductGallerysCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<DeleteProductGalleriesCommand>.CreateWithOptions((DeleteProductGalleriesCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
